#ifndef MAIN_H
#define MAIN_H

/*
**
** main.h
** (c) 2006 druidbartek
** (c) 2010 NuukiaWorld
** ====================
** Version - 1.40
**
*/

#include <nokix/all.h>

#define  BUF_LEN  26

/* KEEP THIS STRUCTURE <=40 BYTES LONG! */
struct application
{
   const struct font *font;   // small/plain font
   const char *data;          // Data records for current element
   unsigned char number;      // Number of current element
   unsigned char x;
   unsigned char y;
   unsigned char state;
   unsigned char lng;         // Current language
   unsigned char pos;         // Current view (0...2)
   char buf[BUF_LEN];
};

/* global_buffer is an array of 40 bytes in RAM which you can use for your
   own purposes as long as your application stays active; when it is deactivated
   the buffer may be overwritten by another one;
   here we define 'app' symbol to access these 40 bytes as a structure */
#define app (*(struct application *)global_buffer)

//#define TABLE_POS(x)                   (shift_table[x])

#define STATE_MAP                      0
#define STATE_INF                      1
#define STATE_TIP                      2
//#define STATE_HLP                      3

/**************************************************************************************************/

extern const nokstr_t str_mass;
extern const nokstr_t str_melt_p;
extern const nokstr_t str_boil_p;
extern const nokstr_t str_density;
extern const nokstr_t str_discovery;
extern const nokstr_t str_configuration;
extern const nokstr_t str_ionization;
extern const nokstr_t str_states;
extern const nokstr_t str_elektroneg;
extern const nokstr_t str_instr_text;

extern const struct bitmap bmap_table;
extern const struct bitmap bmap_info;

extern const struct font own_font;

extern const rexx_uint records_per_element;
extern const char element_data[];
extern const char config_prefix[][4];

/**************************************************************************************************/

#endif /* MAIN_H */
